/* $Id: Factory.java 254 2011-07-06 17:44:22Z shayashi $ */
package reasoning_web.logical;

import reasoning_web.logical.inter_face.RWElement;

public abstract class Factory {
	
	public abstract Connection createConnection(ResourcePointer source,ResourcePointer target,
			ExplanatoryNote note,int dependency, String uri, String originalURI,
			String version);
	public abstract ResourcePointer createResourcePointer(RWElement element);
	public abstract ExplanatoryNote createExplanatoryNote(String source, String uri,
			String originalURI, String version);
	public abstract Connection createConnection(ResourcePointer source,
			ResourcePointer target, ExplanatoryNote note);
}
